| Irrlicht 3D Engine |

Classes | Namespaces
ISceneNodeAnimatorCollisionResponse.h File Reference
`#include "ISceneNode.h"`

Go to the source code of this file.

## Classes

- class irr::scene::ICollisionCallback
    Callback interface for catching events of collisions. More...
- class irr::scene::ISceneNodeAnimatorCollisionResponse
    Special scene node animator for doing automatic collision detection and response. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...